---
pagination:
    data: longPosts
    size: 1
    alias: post
permalink: "post/{{ post.fields.title | slugify }}.html"
---
{% set pencilIcon = { "icon": "pencil-alt", "fixed-width": true } %}
{% set rssIcon = { "icon": "rss" } %}
{% set author = post.fields.author %}
{% macro permalink( p ) %}post/{{ p.fields.title | slugify }}.html{%- endmacro -%}

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<meta property="og:url" content="https://log.rdl.ph/{{ permalink( post ) }}" />
		<meta property="og:title" content="{{ post.fields.title }}" />
		<meta property="og:description" content="{{ author.fields.display }}: &quot;{{ post.fields.title }}&quot;" />
		<meta name="twitter:card" content="summary" />
		<meta name="twitter:site" content="@rockerest" />
		<meta name="twitter:creator" content="@{{ author | authorTwitter }}" />

		<meta name="monetization" content="$ilp.uphold.com/gF8aFrbb6P3N">

		<title>{{ post.fields.title }} | console.blog | Thomas O. Randolph</title>

		<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.9/styles/monokai-sublime.min.css">
		<link rel="stylesheet" href="/css/screen.min.css" media="screen" />
		<link rel="alternate" type="application/rss+xml" title="RSS" href="/rss.xml" />

		<script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.9/highlight.min.js"></script>
	</head>
	<body>
		<header>
			<a href="/">
				<code>console.blog(</code>
			</a>
			<span>
				<a type="application/rss+xml" title="RSS" href="/rss.xml" rel="alternate">
					{{ rssIcon | icon | safe }}
				</a>
				,
			</span>
		</header>
		<div class="view longPost">
			<long-post>
				<div class="post long">
					<h1 id="{{ post.fields.title | slugify }}">
						{% if post | isDraft %}
						{{ pencilIcon | icon | safe }}
						{% endif %}
						<a href="/{{ permalink( post ) }}">{{ post.fields.title }}</a>
					</h1>
					{% include "byline.njk" %}
					{% if post.fields.rssExclusive %}
					<code>
						{{ rssIcon | icon | safe }} You're viewing a secret post! <a href="/rss-club">Read more about RSS Club</a>.
					</code>
					<br />
					{% endif %}
					{{ post.fields.content | safe }}
				</div>
			</long-post>
		</div>
		<footer>
			<span>
				,
				<a href="https://www.contentful.com/" rel="nofollow" target=“_blank”>
					<img src="https://images.contentful.com/fo9twyrwpveg/44baP9Gtm8qE2Umm8CQwQk/c43325463d1cb5db2ef97fca0788ea55/PoweredByContentful_LightBackground.svg" style="max-width:100px;width:100%;" alt="Powered by Contentful" />
				</a>
			</span>
			<code>);</code>
		</footer>
		<script>
			hljs.configure({
				tabReplace: '  '
			})
			hljs.initHighlighting();
		</script>
	</body>
</html>
